botruntime
API ReferenceAdmin API

Create Integration

Create integration

POST
/v1/admin/integrations

Header Parameters

x-workspace-id*string

Workspace ID

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Request Body

application/json

Integration

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/integrations" \  -H "x-workspace-id: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "version": "string"  }'
{  "integration": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identifier": {      "fallbackHandlerScript": "string",      "extractScript": "string"    },    "sandbox": {      "identifierExtractScript": "string",      "messageExtractScript": "string"    },    "maxExecutionTime": 0,    "url": "string",    "signingSecret": "string",    "name": "string",    "version": "string",    "interfaces": {      "property1": {        "id": "stringstringstringstringstri",        "name": "string",        "version": "string",        "entities": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "actions": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "events": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "channels": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        }      },      "property2": {        "id": "stringstringstringstringstri",        "name": "string",        "version": "string",        "entities": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "actions": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "events": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "channels": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        }      }    },    "configuration": {      "title": "string",      "description": "string",      "identifier": {        "linkTemplateScript": "string",        "required": true      },      "schema": {}    },    "configurations": {      "property1": {        "title": "string",        "description": "string",        "identifier": {          "linkTemplateScript": "string",          "required": true        },        "schema": {}      },      "property2": {        "title": "string",        "description": "string",        "identifier": {          "linkTemplateScript": "string",          "required": true        },        "schema": {}      }    },    "channels": {      "property1": {        "title": "string",        "description": "string",        "messages": {          "property1": {            "schema": {}          },          "property2": {            "schema": {}          }        },        "conversation": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          },          "creation": {            "enabled": true,            "requiredTags": [              "string"            ]          }        },        "message": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          }        }      },      "property2": {        "title": "string",        "description": "string",        "messages": {          "property1": {            "schema": {}          },          "property2": {            "schema": {}          }        },        "conversation": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          },          "creation": {            "enabled": true,            "requiredTags": [              "string"            ]          }        },        "message": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          }        }      }    },    "states": {      "property1": {        "type": "conversation",        "schema": {}      },      "property2": {        "type": "conversation",        "schema": {}      }    },    "events": {      "property1": {        "title": "string",        "description": "string",        "schema": {},        "attributes": {          "property1": "string",          "property2": "string"        }      },      "property2": {        "title": "string",        "description": "string",        "schema": {},        "attributes": {          "property1": "string",          "property2": "string"        }      }    },    "actions": {      "property1": {        "title": "string",        "description": "string",        "billable": true,        "cacheable": true,        "input": {          "schema": {}        },        "output": {          "schema": {}        },        "attributes": {          "property1": "string",          "property2": "string"        }      },      "property2": {        "title": "string",        "description": "string",        "billable": true,        "cacheable": true,        "input": {          "schema": {}        },        "output": {          "schema": {}        },        "attributes": {          "property1": "string",          "property2": "string"        }      }    },    "user": {      "tags": {        "property1": {          "title": "string",          "description": "string"        },        "property2": {          "title": "string",          "description": "string"        }      },      "creation": {        "enabled": true,        "requiredTags": [          "string"        ]      }    },    "entities": {      "property1": {        "title": "string",        "description": "string",        "schema": {}      },      "property2": {        "title": "string",        "description": "string",        "schema": {}      }    },    "dev": true,    "title": "string",    "description": "string",    "iconUrl": "string",    "readmeUrl": "string",    "public": true,    "visibility": "public",    "verificationStatus": "unapproved",    "lifecycleStatus": "published",    "secrets": [      "string"    ],    "attributes": {      "property1": "string",      "property2": "string"    }  }}
{  "integration": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identifier": {      "fallbackHandlerScript": "string",      "extractScript": "string"    },    "sandbox": {      "identifierExtractScript": "string",      "messageExtractScript": "string"    },    "maxExecutionTime": 0,    "url": "string",    "signingSecret": "string",    "name": "string",    "version": "string",    "interfaces": {      "property1": {        "id": "stringstringstringstringstri",        "name": "string",        "version": "string",        "entities": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "actions": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "events": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "channels": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        }      },      "property2": {        "id": "stringstringstringstringstri",        "name": "string",        "version": "string",        "entities": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "actions": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "events": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        },        "channels": {          "property1": {            "name": "string"          },          "property2": {            "name": "string"          }        }      }    },    "configuration": {      "title": "string",      "description": "string",      "identifier": {        "linkTemplateScript": "string",        "required": true      },      "schema": {}    },    "configurations": {      "property1": {        "title": "string",        "description": "string",        "identifier": {          "linkTemplateScript": "string",          "required": true        },        "schema": {}      },      "property2": {        "title": "string",        "description": "string",        "identifier": {          "linkTemplateScript": "string",          "required": true        },        "schema": {}      }    },    "channels": {      "property1": {        "title": "string",        "description": "string",        "messages": {          "property1": {            "schema": {}          },          "property2": {            "schema": {}          }        },        "conversation": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          },          "creation": {            "enabled": true,            "requiredTags": [              "string"            ]          }        },        "message": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          }        }      },      "property2": {        "title": "string",        "description": "string",        "messages": {          "property1": {            "schema": {}          },          "property2": {            "schema": {}          }        },        "conversation": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          },          "creation": {            "enabled": true,            "requiredTags": [              "string"            ]          }        },        "message": {          "tags": {            "property1": {              "title": "string",              "description": "string"            },            "property2": {              "title": "string",              "description": "string"            }          }        }      }    },    "states": {      "property1": {        "type": "conversation",        "schema": {}      },      "property2": {        "type": "conversation",        "schema": {}      }    },    "events": {      "property1": {        "title": "string",        "description": "string",        "schema": {},        "attributes": {          "property1": "string",          "property2": "string"        }      },      "property2": {        "title": "string",        "description": "string",        "schema": {},        "attributes": {          "property1": "string",          "property2": "string"        }      }    },    "actions": {      "property1": {        "title": "string",        "description": "string",        "billable": true,        "cacheable": true,        "input": {          "schema": {}        },        "output": {          "schema": {}        },        "attributes": {          "property1": "string",          "property2": "string"        }      },      "property2": {        "title": "string",        "description": "string",        "billable": true,        "cacheable": true,        "input": {          "schema": {}        },        "output": {          "schema": {}        },        "attributes": {          "property1": "string",          "property2": "string"        }      }    },    "user": {      "tags": {        "property1": {          "title": "string",          "description": "string"        },        "property2": {          "title": "string",          "description": "string"        }      },      "creation": {        "enabled": true,        "requiredTags": [          "string"        ]      }    },    "entities": {      "property1": {        "title": "string",        "description": "string",        "schema": {}      },      "property2": {        "title": "string",        "description": "string",        "schema": {}      }    },    "dev": true,    "title": "string",    "description": "string",    "iconUrl": "string",    "readmeUrl": "string",    "public": true,    "visibility": "public",    "verificationStatus": "unapproved",    "lifecycleStatus": "published",    "secrets": [      "string"    ],    "attributes": {      "property1": "string",      "property2": "string"    }  }}